python3-3.7.2-3.1.x86_64.rpm


Advertisement

Description

python3 - Python 3 Interpreter

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-3.7.2-3.1.x86_64.rpm
Package name python3
Package version 3.7.2
Package release 3.1
Package architecture x86_64
Package type rpm
Category Development/Languages/Python
Homepage http://www.python.org/
License Python-2.0
Maintainer -
Download size 75.31 KB
Installed size 169.50 KB
Python 3 is modern interpreted, object-oriented programming language,
often compared to Tcl, Perl, Scheme, or Java.  You can find an overview
of Python in the documentation and tutorials included in the python3-doc
package.
This package supplies rich command line features provided by readline,
and sqlite3 support for the interpreter core, thus forming a so called
"extended" runtime.
Installing "python3" is sufficient for the vast majority of usecases.
In addition, recommended packages provide UI toolkit support (python3-curses,
python3-tk), legacy UNIX database bindings (python3-dbm), and the IDLE
development environment (python3-idle).

Alternatives

Package Version Architecture Repository
python3-3.7.2-3.1.i586.rpm 3.7.2 i586 openSUSE Oss
python3 - - -

Requires

Name Value
libc.so.6(GLIBC_2.15)(64bit) -
libnsl.so.2()(64bit) -
libnsl.so.2(LIBNSL_1.0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpython3.7m.so.1.0()(64bit) -
libreadline.so.8()(64bit) -
libsqlite3.so.0()(64bit) -
libtirpc.so.3()(64bit) -
libtirpc.so.3(TIRPC_0.3.0)(64bit) -
python(abi) = 3.7
python3-base = 3.7.2

Provides

Name Value
python = 3.7
python3 = 3.7.2-3.1
python3(x86-64) = 3.7.2-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-3.7.2-3.1.x86_64.rpm
Source Package python3-3.7.2-3.1.src.rpm

Install Howto

Install python3 rpm package:

# zypper install python3

Files

Path
/usr/lib64/python3.7/
/usr/lib64/python3.7/lib-dynload/_sqlite3.cpython-37m-x86_64-linux-gnu.so
/usr/lib64/python3.7/lib-dynload/nis.cpython-37m-x86_64-linux-gnu.so
/usr/lib64/python3.7/lib-dynload/readline.cpython-37m-x86_64-linux-gnu.so
/usr/lib64/python3.7/sqlite3/__init__.py
/usr/lib64/python3.7/sqlite3/dbapi2.py
/usr/lib64/python3.7/sqlite3/dump.py
/usr/lib64/python3.7/sqlite3/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib64/python3.7/sqlite3/__pycache__/__init__.cpython-37.opt-2.pyc
/usr/lib64/python3.7/sqlite3/__pycache__/__init__.cpython-37.pyc
/usr/lib64/python3.7/sqlite3/__pycache__/dbapi2.cpython-37.opt-1.pyc
/usr/lib64/python3.7/sqlite3/__pycache__/dbapi2.cpython-37.opt-2.pyc
/usr/lib64/python3.7/sqlite3/__pycache__/dbapi2.cpython-37.pyc
/usr/lib64/python3.7/sqlite3/__pycache__/dump.cpython-37.opt-1.pyc
/usr/lib64/python3.7/sqlite3/__pycache__/dump.cpython-37.opt-2.pyc
/usr/lib64/python3.7/sqlite3/__pycache__/dump.cpython-37.pyc

Changelog

2019-03-15 - Matej Cepl <mcepl@suse.com>
- Return distutils-reproducible-compile.patch which is still
missing (still unfinished bpo#29708).
2019-02-12 - Matej Cepl <mcepl@suse.com>
- Build nis module again.
2019-01-30 - mcepl@suse.com
- Put LICENSE file where it belongs (bsc#1121852)
2019-01-19 - mcepl@suse.com
- bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch
fixing bpo-35746.
An exploitable denial-of-service vulnerability exists in the
X509 certificate parser of Python.org Python 2.7.11 / 3.7.2.
A specially crafted X509 certificate can cause a NULL pointer
dereference, resulting in a denial of service. An attacker can
initiate or accept TLS connections using crafted certificates
to trigger this vulnerability.
2019-01-08 - Tomá? Chvátal <tchvatal@suse.com>
- Do not require full gettext in order to avoid pulling in the
glib2 as a dependency
2019-01-08 - Tomá? Chvátal <tchvatal@suse.com>
- Update to 3.7.2:
* bugfix release:
https://docs.python.org/3.7/whatsnew/changelog.html#changelog
2019-01-02 - mcepl@suse.com
- Stop applying python-3.6.0-multilib-new.patch (which is still
WIP), and apply the old proven python-3.6.0-multilib.patch
instead.
2018-12-19 - Todd R <toddrme2178@gmail.com>
- Use upstream-recommended %{_rpmconfigdir}/macros.d directory
for the rpm macros.
2018-12-17 - mcepl@suse.com
- Upgrade to 3.7.2rc1:
* bugfix release, for the full list of all changes see
https://docs.python.org/3.7/whatsnew/changelog.html#changelog
- Make run of the test suite more verbose
2018-12-11 - Jan Engelhardt <jengelh@inai.de>
- Write summaries without em dashes.

See Also

Package Description
python3-32bit-3.7.2-3.1.x86_64.rpm Python 3 Interpreter
python3-3to2-1.1.1-2.1.noarch.rpm Tool to refactor Python 3.x syntax into 2.7 syntax
python3-APScheduler-3.6.0-1.1.noarch.rpm In-process task scheduler with Cron-like capabilities
python3-AnyQt-0.0.10-3.1.noarch.rpm PyQt4/PyQt5 compatibility layer
python3-Arpeggio-1.9.0-1.1.noarch.rpm Packrat parser interpreter
python3-Automat-0.7.0-1.1.noarch.rpm Self-service finite-state machines for the programmer on the go
python3-BTrees-4.5.1-1.1.i586.rpm Persistent B-tree object containers for Python
python3-BTrees-4.5.1-1.1.x86_64.rpm Persistent B-tree object containers for Python
python3-BTrees-devel-4.5.1-1.1.i586.rpm Development files for the python-BTrees module
python3-BTrees-devel-4.5.1-1.1.x86_64.rpm Development files for the python-BTrees module
python3-BTrees-doc-4.5.1-1.1.i586.rpm Documentation for the python-BTrees module
python3-BTrees-doc-4.5.1-1.1.x86_64.rpm Documentation for the python-BTrees module
python3-Babel-2.6.0-2.2.noarch.rpm Internationalization utilities
python3-Babel-doc-2.6.0-2.2.noarch.rpm Internationalization utilities
python3-Beaker-1.10.1-2.1.noarch.rpm A Session and Caching library with WSGI Middleware
Advertisement
Advertisement